#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Crimson
#property indicator_color2 Lime
//---- indicator parameters
extern int cbars  = 100;
extern int ma1     = 120;
extern int ma2     = 50;

//---- indicator buffers
double ExtMapBuffer[];
double ExtMapBuffer2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init(){
   SetIndexStyle(0,DRAW_HISTOGRAM,0,2);
   SetIndexStyle(1,DRAW_HISTOGRAM,0,2);

   SetIndexBuffer(0,ExtMapBuffer);
   SetIndexBuffer(1,ExtMapBuffer2);
   

   SetIndexEmptyValue(0,0.0);
   SetIndexEmptyValue(1,0.0);
   
   return(0);
  }
  
   
int deinit(){
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int last = 0;
int start(){
   if(last==Bars) return (0);
   last = Bars;
   int    shift,i;
   
   int limit = cbars;
   if(limit==0) limit = Bars;
   double ma_buf[2][2];
   for(shift=limit-1; shift>=0; shift--){
      ma_buf[0][0] = iMA(NULL,0,ma1,0,MODE_EMA,PRICE_CLOSE,shift);
      ma_buf[0][1] = iMA(NULL,0,ma2,0,MODE_EMA,PRICE_CLOSE,shift);
      if((ma_buf[0][0]-ma_buf[1][0])*(ma_buf[0][1]-ma_buf[1][1])>0){
         double pip = (ma_buf[0][1]-ma_buf[0][0])/Point;
         if(ma_buf[0][0]>ma_buf[1][0]){
            if(ma_buf[0][1]>ma_buf[0][0]){
               ExtMapBuffer2[shift]=pip;
               }
            }
         else{
            if(ma_buf[0][1]<ma_buf[0][0]){
               ExtMapBuffer[shift]=pip;
               }
            }
         }
      ma_buf[1][0] = ma_buf[0][0];
      ma_buf[1][1] = ma_buf[0][1];
      }
}


